> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Ad Library Brands

> Delete ad-library advertiser brands by id or advertiser URL.



## OpenAPI

````yaml /openapi.json post /api/v1/admin/integrations/meta-ad-library/brands/delete
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/admin/integrations/meta-ad-library/brands/delete:
    post:
      tags:
        - Admin
      summary: Delete Ad Library Brands
      description: Delete ad-library advertiser brands by id or advertiser URL.
      operationId: >-
        delete_ad_library_brands_api_v1_admin_integrations_meta_ad_library_brands_delete_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AdminAdLibraryDeleteBrandsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminAdLibraryDeleteBrandsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AdminAdLibraryDeleteBrandsRequest:
      properties:
        entries:
          items:
            type: string
          type: array
          maxItems: 5000
          title: Entries
      type: object
      title: AdminAdLibraryDeleteBrandsRequest
    AdminAdLibraryDeleteBrandsResponse:
      properties:
        requested:
          type: integer
          title: Requested
        deleted:
          type: integer
          title: Deleted
        not_found:
          type: integer
          title: Not Found
        invalid:
          items:
            type: string
          type: array
          title: Invalid
        ads_deleted:
          type: integer
          title: Ads Deleted
        source_accounts_deleted:
          type: integer
          title: Source Accounts Deleted
        provider_payloads_deleted:
          type: integer
          title: Provider Payloads Deleted
        storage_objects_deleted:
          type: integer
          title: Storage Objects Deleted
        storage_objects_pending:
          type: integer
          title: Storage Objects Pending
          default: 0
        shared_storage_objects_preserved:
          type: integer
          title: Shared Storage Objects Preserved
        ingestion_runs_deleted:
          type: integer
          title: Ingestion Runs Deleted
      type: object
      required:
        - requested
        - deleted
        - not_found
        - ads_deleted
        - source_accounts_deleted
        - provider_payloads_deleted
        - storage_objects_deleted
        - shared_storage_objects_preserved
        - ingestion_runs_deleted
      title: AdminAdLibraryDeleteBrandsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````